Orxonox: TiXmlString Class Reference

# TiXmlString Class Reference

`#include <src/tinyxml/tinystr.h>`

Inheritance diagram for TiXmlString:

List of all members.

## Public Types

typedef size_t | size_type

## Public Member Functions

TiXmlString & | append (const char *str, size_type len)
TiXmlString & | assign (const char *str, size_type len)
const char & | at (size_type index) const
const char * | c_str () const
size_type | capacity () const
void | clear ()
const char * | data () const
bool | empty () const
size_type | find (char tofind, size_type offset) const
size_type | find (char lookup) const
size_type | length () const
TiXmlString & | operator+= (const TiXmlString &suffix)
TiXmlString & | operator+= (char single)
TiXmlString & | operator+= (const char *suffix)
TiXmlString & | operator= (const TiXmlString &copy)
TiXmlString & | operator= (const char *copy)
char & | operator[] (size_type index) const
void | reserve (size_type cap)
size_type | size () const
void | swap (TiXmlString &other)
TIXML_EXPLICIT | TiXmlString (const char *str, size_type len)
TIXML_EXPLICIT | TiXmlString (const char *copy)
| TiXmlString (const TiXmlString &copy)
| TiXmlString ()
| ~TiXmlString ()

## Static Public Attributes

static const size_type | npos = static_cast< TiXmlString::size_type >(-1)

## Private Member Functions

char * | finish () const
void | init (size_type sz, size_type cap)
void | init (size_type sz)
void | quit ()
void | set_size (size_type sz)
char * | start () const

## Private Attributes

Rep * | rep_

## Static Private Attributes

static Rep | nullrep_ = { 0, 0, { '\0' } }

## Classes

struct | Rep

## Member Typedef Documentation

typedef size_t TiXmlString::size_type

## Constructor & Destructor Documentation

TiXmlString::TiXmlString | ( |  | ) | `[inline]`

TiXmlString::TiXmlString | ( | const TiXmlString & | copy | ) | `[inline]`

References data(), init(), length(), and start().

TIXML_EXPLICIT TiXmlString::TiXmlString | ( | const char * | copy | ) | `[inline]`

References init(), length(), and start().

TIXML_EXPLICIT TiXmlString::TiXmlString | ( | const char * | str,
|  | size_type | len |
| ) |  |  | `[inline]`

References init(), and start().

TiXmlString::~TiXmlString | ( |  | ) | `[inline]`

References quit().

## Member Function Documentation

TiXmlString & TiXmlString::append | ( | const char * | str,
|  | size_type | len |
| ) |  |  |

References capacity(), finish(), length(), reserve(), and set_size().

Referenced by operator+(), and operator+=().

TiXmlString & TiXmlString::assign | ( | const char * | str,
|  | size_type | len |
| ) |  |  |

References capacity(), init(), set_size(), start(), and swap().

Referenced by operator=().

const char& TiXmlString::at | ( | size_type | index | ) | const`[inline]`

References length(), rep_, and TiXmlString::Rep::str.

const char* TiXmlString::c_str | ( |  | ) | const`[inline]`

References rep_, and TiXmlString::Rep::str.

Referenced by find(), operator<(), and operator==().

size_type TiXmlString::capacity | ( |  | ) | const`[inline]`

References TiXmlString::Rep::capacity, and rep_.

Referenced by append(), assign(), and reserve().

void TiXmlString::clear | ( | void |  | ) | `[inline]`

References init(), and quit().

const char* TiXmlString::data | ( |  | ) | const`[inline]`

References rep_, and TiXmlString::Rep::str.

Referenced by operator+=(), reserve(), and TiXmlString().

bool TiXmlString::empty | ( |  | ) | const`[inline]`

References rep_, and TiXmlString::Rep::size.

size_type TiXmlString::find | ( | char | tofind,
|  | size_type | offset |
| ) |  |  | const`[inline]`

References c_str(), length(), and npos.

size_type TiXmlString::find | ( | char | lookup | ) | const`[inline]`

char* TiXmlString::finish | ( |  | ) | const`[inline, private]`

References rep_, TiXmlString::Rep::size, and TiXmlString::Rep::str.

Referenced by append().

void TiXmlString::init | ( | size_type | sz,
|  | size_type | cap |
| ) |  |  | `[inline, private]`

References TiXmlString::Rep::capacity, nullrep_, rep_, TiXmlString::Rep::size, and TiXmlString::Rep::str.

void TiXmlString::init | ( | size_type | sz | ) | `[inline, private]`

Referenced by assign(), clear(), reserve(), and TiXmlString().

size_type TiXmlString::length | ( |  | ) | const`[inline]`

References rep_, and TiXmlString::Rep::size.

Referenced by append(), at(), find(), operator+(), operator+=(), operator=(), operator==(), operator[](), reserve(), and TiXmlString().

TiXmlString& TiXmlString::operator+= | ( | const TiXmlString & | suffix | ) | `[inline]`

References append(), data(), and length().

TiXmlString& TiXmlString::operator+= | ( | char | single | ) | `[inline]`

References append().

TiXmlString& TiXmlString::operator+= | ( | const char * | suffix | ) | `[inline]`

References append().

TiXmlString& TiXmlString::operator= | ( | const TiXmlString & | copy | ) | `[inline]`

References assign(), length(), and start().

TiXmlString& TiXmlString::operator= | ( | const char * | copy | ) | `[inline]`

References assign().

char& TiXmlString::operator[] | ( | size_type | index | ) | const`[inline]`

References length(), rep_, and TiXmlString::Rep::str.

void TiXmlString::quit | ( |  | ) | `[inline, private]`

References nullrep_, and rep_.

Referenced by clear(), and ~TiXmlString().

void TiXmlString::reserve | ( | size_type | cap | ) |

References capacity(), data(), init(), length(), start(), and swap().

Referenced by append(), and operator+().

void TiXmlString::set_size | ( | size_type | sz | ) | `[inline, private]`

References rep_, TiXmlString::Rep::size, and TiXmlString::Rep::str.

Referenced by append(), and assign().

size_type TiXmlString::size | ( |  | ) | const`[inline]`

References rep_, and TiXmlString::Rep::size.

char* TiXmlString::start | ( |  | ) | const`[inline, private]`

References rep_, and TiXmlString::Rep::str.

Referenced by assign(), operator=(), reserve(), and TiXmlString().

void TiXmlString::swap | ( | TiXmlString & | other | ) | `[inline]`

References rep_.

Referenced by assign(), and reserve().

## Member Data Documentation

const TiXmlString::size_type TiXmlString::npos = static_cast< TiXmlString::size_type >(-1)`[static]`

Referenced by find().

TiXmlString::Rep TiXmlString::nullrep_ = { 0, 0, { '\0' } }`[static, private]`

Referenced by init(), and quit().

Rep* TiXmlString::rep_`[private]`

Referenced by at(), c_str(), capacity(), data(), empty(), finish(), init(), length(), operator[](), quit(), set_size(), size(), start(), and swap().

The documentation for this class was generated from the following files:

- src/tinyxml/tinystr.h
- src/tinyxml/tinystr.cpp